<?php
App::uses('EvBlogAppModel', 'EvBlog.Model');

class BlogCategory extends EvBlogAppModel
{
	public $actsAs = array(
		'Routable.Routable' => array(
			'alias' => 'blog-category/:displayField',
			'config' => 'EvBlog'
		),
		'MetaData.Meta'
	);

	public $displayField = 'name';

	public $hasAndBelongsToMany = array(
		'BlogPost' => array(
			'className' => 'EvBlog.BlogPost'
		)
	);

	public $validate = array(
		'name' => array(
			'notempty' => array(
				'rule' => array('notempty')
			),
		)
	);


}
